Issue1137

classification
Title: ArrayType missing in Jython 2.5a3
Type: Severity: normal
Components: Library Versions: 2.5alpha3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pekka.klarck, pjenvey, yanne
Priority: Keywords:

Created on 2008-09-23.11:08:00 by yanne, last changed 2008-11-23.10:47:08 by pekka.klarck.

Messages
msg3613 (view) Author: Janne Härkönen (yanne) Date: 2008-09-23.11:08:00
It seems that ArrayType is missing from types module in Jython2.5a3.
Shouldn't it be included for compatibility with 2.2?
msg3821 (view) Author: Philip Jenvey (pjenvey) Date: 2008-11-23.03:34:47
I nuked this because CPython doesn't have it. This makes our life easier 
-- one less patch to maintain against CPython I figured most people 
would be using array.ArrayType anyway.

If this was a 2.3 release I'd consider going through all the hoops to 
have it emit a DeprecationWarning when used, but since we're hopping 
directly to 2.5 I figured I could get away with removing it (there's a 
couple other things that will immediately go away with 
DeprecationWarnings due to the large version hop)

Reopen this if you're adamantly opposed to this move
msg3822 (view) Author: Philip Jenvey (pjenvey) Date: 2008-11-23.03:39:58
I've mentioned it here:

http://wiki.python.org/jython/Jython25BackwardsIncompatibilities
msg3834 (view) Author: Pekka Klärck (pekka.klarck) Date: 2008-11-23.10:47:07
Didn't know about array.ArrayType. We can easily change our code to use
it already now. Might actually be a good idea to mention that
array.ArrayType works both on 2.2 and 2.5 at
http://wiki.python.org/jython/Jython25BackwardsIncompatibilities
History
Date User Action Args
2008-11-23 10:47:08pekka.klarcksetmessages: + msg3834
2008-11-23 03:39:58pjenveysetmessages: + msg3822
2008-11-23 03:34:47pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3821
nosy: + pjenvey
2008-09-24 23:13:53pekka.klarcksetnosy: + pekka.klarck
2008-09-23 11:08:00yannecreate